Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Gregory Heytings <[email-masked]>
Date: Wed, 21 Apr 2021 14:05:19 +0000

>>> My #1 preference would be to make it all behave like (setq 
>>> visible-bell t) on GNU/Linux does. This way we both get a proven 
>>> behavior with no significant complaints, as well as consistency across 
>>> platforms.
>>
>> I understand that you're accustomed to what visible-bell t does on 
>> GNU/Linux, but frankly, its ugly.  Ask their opinion to non-Emacs users 
>> about that bell, I'd be surprised if they like it.
>
> That's a good point, IMO.  But Dmitry's argument is also fairly 
> compelling.
>

You mean, that it's "a proven behavior with no significant complaints"? 
I'd be very surprised if many GNU/Linux users did set visible-bell to t. 
What I see is that it's not the default behavior, and that most popular 
starter kits disable the bell completely.

>
> For my money, the Doom idea, to flash the mode line in a different 
> color, is the most good looking one.  It is also hard to miss, and 
> doesn't risk hiding or obscuring the minibuffer.
>

IMO having a default bell that changes the the mode-line on every error is 
a recipe for disaster.  There are too many packages that do all kinds of 
stuff with the mode-line.

>
> I have used this for a couple of days and find it strictly better than 
> both the default behavior on GNU/Linux with inverse video and flashing 
> the minibuffer background.
>

Did you try the patch I sent?